import QtQuick
import QtQuick.Controls 6.4
import QtQuick.Layouts


Item {
    id: header

    ColumnLayout {
        anchors.fill: parent
        Layout.alignment: Qt.AlignHCenter | Qt.AlignVCenter

        Item {
            id: item2
            width: 200
            height: 200
            Layout.preferredHeight: 10
            Layout.fillWidth: true
        }

        Label {
            id: infoHeader
            Layout.alignment: Qt.AlignHCenter | Qt.AlignVCenter
            horizontalAlignment: "AlignHCenter"
            text: qsTr("Design Studio Connection Menu")
        }

        Label {
            id: statusLabel
            Layout.alignment: Qt.AlignHCenter | Qt.AlignVCenter
            horizontalAlignment: "AlignHCenter"
            text: "Waiting for backend to be initialized..."
            Connections {
                target: backend
                function onNetworkUpdated(newStatus){
                    statusLabel.text = newStatus
                }
            }
        }

        Item {
            id: item3
            width: 200
            height: 200
            Layout.preferredHeight: 10
            Layout.fillWidth: true
        }
    }
}
