import QtQuick
import QtQuick.Controls 6.4
import QtQuick.Layouts


Item {
    id: header

    ColumnLayout {
        anchors.fill: parent
        Layout.alignment: Qt.AlignHCenter | Qt.AlignVCenter

        Item {
            id: item2
            width: 200
            height: 200
            Layout.preferredHeight: 10
            Layout.fillWidth: true
        }

        Label {
            id: logs
            Layout.alignment: Qt.AlignHCenter | Qt.AlignVCenter
            horizontalAlignment: "AlignHCenter"
            text: qsTr("Hello World")
        }

        Item {
            id: item1
            Layout.fillHeight: true
            Layout.fillWidth: true
        }

        Connections {
            target: backend
            function onBuildInfoChanged(buildInfo){
                logs.text = buildInfo;
            }
        }
    }
}
